package com.pqs9200.pojo.data;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * 类的介绍：
 *
 * @author xuyang
 * @version 1.0.0
 * @createTime 2021/12/14 10:58
 */
public class SvgSagDomain implements Serializable {
    //暂降幅值
    private double dip;
    //暂降类型
    private Integer eventType;
    //触发点
    private Integer eventPoint;

    //存放所有参与计算的节点信息
    private Map<String,Integer> nodesMap;
    //变电站线路
    private List<String> lines_substation;
    //变压器线路
    private List<String> lines_transformer;

    public double getDip() {
        return dip;
    }

    public void setDip(double dip) {
        this.dip = dip;
    }

    public Integer getEventType() {
        return eventType;
    }

    public void setEventType(Integer eventType) {
        this.eventType = eventType;
    }

    public Map<String, Integer> getNodesMap() {
        return nodesMap;
    }

    public Integer getEventPoint() {
        return eventPoint;
    }

    public void setEventPoint(Integer eventPoint) {
        this.eventPoint = eventPoint;
    }

    public void setNodesMap(Map<String, Integer> nodesMap) {
        this.nodesMap = nodesMap;
    }

    public List<String> getLines_substation() {
        return lines_substation;
    }

    public void setLines_substation(List<String> lines_substation) {
        this.lines_substation = lines_substation;
    }

    public List<String> getLines_transformer() {
        return lines_transformer;
    }

    public void setLines_transformer(List<String> lines_transformer) {
        this.lines_transformer = lines_transformer;
    }

    @Override
    public String toString() {
        return "SvgSagDomain{" +
                "dip=" + dip +
                "nodesMap=" + nodesMap +
                "nodesMap=" + nodesMap +
                ", lines_substation=" + lines_substation +
                ", lines_transformer=" + lines_transformer +
                '}';
    }
}
